org.eclipse.rdf4j.sail.nativerdf

## Class LimitedSizeNativeStoreConnection

- java.lang.Object
- - org.eclipse.rdf4j.sail.helpers.AbstractSailConnection
  - - org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionBase
    - - org.eclipse.rdf4j.sail.base.SailSourceConnection
      - - org.eclipse.rdf4j.sail.nativerdf.NativeStoreConnection
        - - org.eclipse.rdf4j.sail.nativerdf.LimitedSizeNativeStoreConnection

- All Implemented Interfaces:
    AutoCloseable, FederatedServiceResolverClient, InferencerConnection, NotifyingSailConnection, SailConnection

      public class LimitedSizeNativeStoreConnection
      extends NativeStoreConnection

  Author:
    Jerven Bolleman, SIB Swiss Institute of Bioinformatics

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.rdf4j.sail.nativerdf.NativeStoreConnection

      `nativeStore`

    - ### Fields inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `connectionLock, updateLock`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `LimitedSizeNativeStoreConnection(NativeStore nativeStore)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected EvaluationStrategy` | `getEvaluationStrategy(Dataset dataset, TripleSource tripleSource)`
    `int` | `getMaxCollectionsSize()`
    `void` | `setMaxCollectionsSize(int maxCollectionsSize)`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.nativerdf.NativeStoreConnection

      `addInferredStatement, addStatementInternal, clearInferred, clearInternal, commitInternal, removeInferredStatement, removeStatementsInternal, rollbackInternal, startTransactionInternal`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.base.SailSourceConnection

      `addStatement, clearNamespacesInternal, closeInternal, endUpdateInternal, evaluateInternal, explain, flushUpdates, getContextIDsInternal, getFederatedServiceResolver, getNamespaceInternal, getNamespacesInternal, getStatementsInternal, prepareInternal, removeNamespaceInternal, removeStatement, setFederatedServiceResolver, setNamespaceInternal, sizeInternal, startUpdate`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.NotifyingSailConnectionBase

      `addConnectionListener, hasConnectionListeners, notifyStatementAdded, notifyStatementRemoved, removeConnectionListener`

    - ### Methods inherited from class org.eclipse.rdf4j.sail.helpers.AbstractSailConnection

      `addStatement, autoStartTransaction, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, flush, getContextIDs, getExclusiveConnectionLock, getNamespace, getNamespaces, getSharedConnectionLock, getStatements, getTransactionIsolation, getTransactionLock, isActive, isActiveOperation, isOpen, iterationClosed, pendingAdds, pendingRemovals, prepare, registerIteration, removeNamespace, removeStatements, rollback, setNamespace, size, transactionActive, verifyIsActive, verifyIsOpen`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.NotifyingSailConnection

      `addConnectionListener, removeConnectionListener`

    - ### Methods inherited from interface org.eclipse.rdf4j.sail.SailConnection

      `addStatement, addStatement, addStatement, begin, begin, clear, clearNamespaces, close, commit, endUpdate, evaluate, flush, getContextIDs, getNamespace, getNamespaces, getStatements, getStatements, hasStatement, isActive, isOpen, pendingRemovals, prepare, prepareQuery, removeNamespace, removeStatement, removeStatements, removeStatements, rollback, setNamespace, setTransactionSettings, size`

- - ### Constructor Detail

    - #### LimitedSizeNativeStoreConnection

          protected LimitedSizeNativeStoreConnection(NativeStore nativeStore)
                                              throws IOException

      Parameters:
        `nativeStore` -
      Throws:
        `IOException`

  - ### Method Detail

    - #### getMaxCollectionsSize

          public int getMaxCollectionsSize()

    - #### setMaxCollectionsSize

          public void setMaxCollectionsSize(int maxCollectionsSize)

    - #### getEvaluationStrategy

          protected EvaluationStrategy getEvaluationStrategy(Dataset dataset,
                                                             TripleSource tripleSource)

      Overrides:
        `getEvaluationStrategy` in class `SailSourceConnection`

Copyright © 2015-2022 Eclipse Foundation. All Rights Reserved.